# Uses of Interface
org.springframework.http.codec.multipart.Part

Packages that use Part
Package
Description
org.springframework.http.codec.multipart
Multipart support.
org.springframework.web.server
Core interfaces and classes for Spring's generic, reactive web support.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.

## Uses of Part in org.springframework.http.codec.multipart

Subinterfaces of Part in org.springframework.http.codec.multipart
Modifier and Type
Interface
Description
`interface`
`FilePart`
Specialization of `Part` that represents an uploaded file received in a multipart request.
`interface`
`FormFieldPart`
Specialization of `Part` for a form field.
Methods in org.springframework.http.codec.multipart that return types with arguments of type Part
Modifier and Type
Method
Description
`HttpMessageReader<Part>`
MultipartHttpMessageReader.`getPartReader()`
Return the configured parts reader.
`reactor.core.publisher.Flux<Part>`
DefaultPartHttpMessageReader.`read(org.springframework.core.ResolvableType elementType, ReactiveHttpInputMessage message, Map<String,Object> hints)`
`reactor.core.publisher.Flux<org.springframework.util.MultiValueMap<String,Part>>`
MultipartHttpMessageReader.`read(org.springframework.core.ResolvableType elementType, ReactiveHttpInputMessage message, Map<String,Object> hints)`
`reactor.core.publisher.Mono<Part>`
DefaultPartHttpMessageReader.`readMono(org.springframework.core.ResolvableType elementType, ReactiveHttpInputMessage message, Map<String,Object> hints)`
`reactor.core.publisher.Mono<org.springframework.util.MultiValueMap<String,Part>>`
MultipartHttpMessageReader.`readMono(org.springframework.core.ResolvableType elementType, ReactiveHttpInputMessage inputMessage, Map<String,Object> hints)`
Method parameters in org.springframework.http.codec.multipart with type arguments of type Part
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
PartHttpMessageWriter.`write(Publisher<? extends Part> parts, org.springframework.core.ResolvableType elementType, MediaType mediaType, ReactiveHttpOutputMessage outputMessage, Map<String,Object> hints)`
Constructor parameters in org.springframework.http.codec.multipart with type arguments of type Part
Modifier
Constructor
Description
``
`MultipartHttpMessageReader(HttpMessageReader<Part> partReader)`

## Uses of Part in org.springframework.web.server

Methods in org.springframework.web.server that return types with arguments of type Part
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.util.MultiValueMap<String,Part>>`
ServerWebExchange.`getMultipartData()`
Return the parts of a multipart request if the Content-Type is `"multipart/form-data"` or an empty map otherwise.
`reactor.core.publisher.Mono<org.springframework.util.MultiValueMap<String,Part>>`
ServerWebExchangeDecorator.`getMultipartData()`

## Uses of Part in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return types with arguments of type Part
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.util.MultiValueMap<String,Part>>`
DefaultServerWebExchange.`getMultipartData()`